Bug 585467 - (googlesharing) Review Request: mozilla-googlesharing - Anonymizing proxy service for google sharing system
Review Request: mozilla-googlesharing - Anonymizing proxy service for google ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 585466 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-24 04:21 EDT by Mohammed Imran
Modified: 2010-06-22 00:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 00:46:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohammed Imran 2010-04-24 04:21:45 EDT
Spec URL: http://github.com/downloads/matriux/fedora/mozilla-googlesharing.spec
SRPM URL: http://github.com/downloads/matriux/fedora/mozilla-googlesharing-0.18-1.fc11.src.rpm

Description:
The Firefox Addon for the GoogleSharing system. GoogleSharing ultimately aims to provide a level of anonymity that will prevent google from tracking your searches, movements, and what websites you visit.

Rpm Lint
=========

[imran@localhost SPECS]$ rpmlint mozilla-googlesharing.spec ../RPMS/noarch/mozilla-googlesharing-0.18-1.fc11.noarch.rpm  ../SRPMS/mozilla-googlesharing-0.18-1.fc11.src.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Tested on firefox 3.5.8 fc11
Comment 1 Felix Kaechele 2010-04-24 05:47:50 EDT
*** Bug 585466 has been marked as a duplicate of this bug. ***
Comment 2 Mohammed Imran 2010-04-24 06:35:59 EDT
Minor changes

Added missing images directory

Spec URL:
http://github.com/downloads/matriux/fedora/mozilla-googlesharing.spec-v2 (renamed)
SRPM URL:
http://github.com/downloads/matriux/fedora/mozilla-googlesharing-0.18-2.fc11.src.rpm
Comment 3 Thomas Spura 2010-04-24 15:45:42 EDT
I'm no sponsor, but here are a few comments:

- You install it a bit strange, and I didn't expect it to build cleanly because of the 'cd -'...

  It would be better, if you use pushd and popd like:

pushd chrome/content/
install -Dpm 644 addEditProxy.js googlesharing.js options.js addEditProxy.xul googlesharing.xul options.css options.xul %{buildroot}%{inst_dir}/chrome/content/
popd

With pushd you go into the folder and with popd to the folder, you came from.
Looks nicer and should be a bit more sane.

- Please overwrite the spec file on githup and don't add something like '-v2'. Old versions will be available throught olg src.rpms.
If you want to also keep the old versions, please make a subfolder for each version or something like that.

- What about seamonkey? Does this programm works with that too?
  There are some additional folders needed for that and *maybe* that's it.

  Here is an example in mozilla-noscript, which works well:
  http://cvs.fedoraproject.org/viewvc/devel/mozilla-noscript/mozilla-noscript.spec?view=markup

- There won't be a debuginfo package, because you have BuildArch: noarch, so you can delete:
  %define debug_package %{nil}

- $ rpmlint mozilla-googlesharing-0.18-2.fc13.src.rpm noarch/mozilla-googlesharing-0.18-2.fc13.noarch.rpm 
mozilla-googlesharing.src: W: spelling-error Summary(en_US) Anonymizing -> Anonymity, Anatomizing, Anonymous
mozilla-googlesharing.src: W: spelling-error Summary(en_US) google -> Google, goggle, googly
mozilla-googlesharing.src: W: spelling-error %description -l en_US addon -> ad don, ad-don, add on
mozilla-googlesharing.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
mozilla-googlesharing.src: W: spelling-error %description -l en_US unredirected -> redirection, misdirected, unrestricted
mozilla-googlesharing.noarch: W: spelling-error Summary(en_US) Anonymizing -> Anonymity, Anatomizing, Anonymous
mozilla-googlesharing.noarch: W: spelling-error Summary(en_US) google -> Google, goggle, googly
mozilla-googlesharing.noarch: W: spelling-error %description -l en_US addon -> ad don, ad-don, add on
mozilla-googlesharing.noarch: W: spelling-error %description -l en_US google -> Google, goggle, googly
mozilla-googlesharing.noarch: W: spelling-error %description -l en_US unredirected -> redirection, misdirected, unrestricted
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

Using Google would reduce 4 warnings, the rest seems unavoidable...
Comment 4 Mohammed Imran 2010-04-26 01:35:33 EDT
Spec URL : http://github.com/downloads/matriux/fedora/mozilla-googlesharing.spec
SRPM URL : http://github.com/downloads/matriux/fedora/mozilla-googlesharing-0.18-3.fc11.src.rpm

-Used pushd and popd
-Fixed typo google
-Removed %define debug_package %{nil} from spec file
Comment 5 Parag AN(पराग) 2010-04-28 00:06:52 EDT
1) use %global over %define. See https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

2) you should take reference from http://cvs.fedoraproject.org/viewvc/devel/mozilla-noscript/mozilla-noscript.spec?view=markup

you should write  "Requires:       mozilla-filesystem" and not BuildRequires.

3) If you want to follow macro style usage then write macro for rm command also.
Complete macro listing you can find on your system in file 
/usr/lib/rpm/macros
Comment 7 Thomas Spura 2010-04-28 07:50:54 EDT
(In reply to comment #4)
> -Used pushd and popd
> -Fixed typo google
> -Removed %define debug_package %{nil} from spec file    

So you are not interessted to make this programm starting for seamonkey users?
Comment 8 Mohammed Imran 2010-05-03 04:44:06 EDT
Thomas, i will update the spec soon.
Comment 10 Parag AN(पराग) 2010-05-04 04:00:06 EDT
install.rdf does not mention any id for seamonkey installation. So I don't know if there is any other way to make this extension work in seamonkey.

Thomas,
   Can you help here to get this extension working in seamonkey as per you asked in your comment#3?

Otherwise I see this package is ready for Final review.
Comment 11 Parag AN(पराग) 2010-05-04 06:50:40 EDT
I see you have done good reviews. So I am going to sponsor you now and therefore removing FE-NEEDSPONSOR.
Comment 12 Thomas Spura 2010-05-04 07:16:13 EDT
(In reply to comment #10)
> install.rdf does not mention any id for seamonkey installation. So I don't know
> if there is any other way to make this extension work in seamonkey.
> 
> Thomas,
>    Can you help here to get this extension working in seamonkey as per you
> asked in your comment#3?
> 
> Otherwise I see this package is ready for Final review.    

Here is what I did for mozilla-noscript:
1 	%global moz_extensions %{_datadir}/mozilla/extensions
2 	
3 	%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
4 	%global src_ext_id \{73a6fe31-595d-460b-a920-fcc0f8843232\}
5 	%global inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}
6 	
7 	%global seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
8 	%global sym_link_dir %{moz_extensions}/%{seamonkey_app_id} 

I found this ids e.g. at https://wiki.mozilla.org/Extension_Manager:Addon_Update_Security:Signature

There are more ids, than just seamonkey and firefox, but at my initial review, I was also asked to add seamonkey, because that's also in fedora...

After looking at the spec, this should be done, when you replace the value of seamonkey_app_dir to the seamonkey_app_id from above.
Comment 13 Thomas Spura 2010-05-04 07:20:49 EDT
Just tested that with seamonkey (not with firefox yet):

--- ./orig	2010-05-04 13:17:56.714392098 +0200
+++ ./mozilla-googlesharing.spec	2010-05-04 13:18:25.557395025 +0200
@@ -4,7 +4,7 @@
 %global src_ext_id googlesharing@extension.thoughtcrime.org
 %global inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}
 
-%global seamonkey_app_dir \{googlesharing}
+%global seamonkey_app_dir \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
 %global sym_link_dir %{moz_extensions}/%{seamonkey_app_dir} 
 
 Name:           mozilla-googlesharing


Works with seamonkey (at least it's showing up in 'installed add-ons' didn't test if the programm actually works, but guessing so).
Comment 14 Mohammed Imran 2010-05-04 08:05:32 EDT
i checked on firefox,works fine and it seems googlesharing doesnt work on seamonkey 1.1.19.
ok,i will update the spec file tomorrow.
thanks
Comment 15 Thomas Spura 2010-05-04 08:17:52 EDT
(In reply to comment #14)
>it seems googlesharing doesnt work on seamonkey 1.1.19.

FYI: I tested it with: seamonkey-2.0.4-1.fc13.x86_64
Comment 16 Parag AN(पराग) 2010-05-05 00:20:24 EDT
I tried above patch on my F-13 machine and see its showing in installed extensions but also saw showing "Not compatible with SeaMonkey 2.0.4". So If its not going to work in SeaMonkey then better not to include it in SPEC.
Comment 17 Thomas Spura 2010-05-06 12:11:14 EDT
(In reply to comment #16)
> I tried above patch on my F-13 machine and see its showing in installed
> extensions but also saw showing "Not compatible with SeaMonkey 2.0.4". So If
> its not going to work in SeaMonkey then better not to include it in SPEC.    

Oh, right...
(As noted above not tested, just it's showing up^^)

Maybe it's worth to suround a conditional around the seamonkey part, so it can easily enabled/disabled. Don't know if it will ever be working with seamonkey (I don't use seamonkey anyway, just wanted to note, that some user want to have that part...)

--- mozilla-googlesharing.spec	2010-05-06 18:09:50.058954346 +0200
+++ orig	2010-05-04 13:17:56.714392098 +0200
@@ -4,11 +4,9 @@
 %global src_ext_id googlesharing@extension.thoughtcrime.org
 %global inst_dir %{moz_extensions}/%{firefox_app_id}/%{src_ext_id}
 
-%global seamonkey_app_dir \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
+%global seamonkey_app_dir \{googlesharing}
 %global sym_link_dir %{moz_extensions}/%{seamonkey_app_dir} 
 
-%global with_seamonkey 0
-
 Name:           mozilla-googlesharing
 Version:        0.18
 Release:        5%{?dist}
@@ -60,10 +58,8 @@
 popd
 
 # symlink from seamonkey extension to firefox extension
-%if 0%{?with_seamonkey}
 mkdir -p %{buildroot}%{sym_link_dir}
 ln -s %{inst_dir} %{buildroot}%{sym_link_dir}
-%endif
 
 %clean
 %{__rm} -rf $RPM_BUILD_ROOT
@@ -72,9 +68,7 @@
 %defattr(-,root,root,-)
 %doc COPYING
 %{inst_dir}
-%if 0%{?with_seamonkey}
 %{sym_link_dir}
-%endif
 
 
 %changelog
Comment 18 Mohammed Imran 2010-05-10 01:28:06 EDT
I agree with Parag.Since its not compatible with seamonkey,better not to include in spec.Im reverting back changes made in comment 9.

Spec URL:http://github.com/downloads/matriux/fedora/mozilla-googlesharing.spec
SRPM :http://github.com/downloads/matriux/fedora/mozilla-googlesharing-0.18-4.fc11.src.rpm
Comment 19 Parag AN(पराग) 2010-05-10 01:57:36 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2176309
+ rpmlint output for SRPM and for RPM.
mozilla-googlesharing.src: W: spelling-error Summary(en_US) Anonymizing -> Anonymity, Anatomizing, Anonymous
mozilla-googlesharing.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
mozilla-googlesharing.noarch: W: spelling-error Summary(en_US) Anonymizing -> Anonymity, Anatomizing, Anonymous
mozilla-googlesharing.noarch: W: spelling-error %description -l en_US google -> Google, goggle, googly
==> Ignore this.
+ source files match upstream url (sha1sum)
af55ae4f48b2eb02eef0116e3269fa9898f02407  googlesharing-0.18-fx.xpi

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ mozilla firefox extension.

APPROVED.
Comment 20 Mohammed Imran 2010-05-11 01:17:13 EDT
New Package CVS Request
=======================
Package Name: mozilla-googlesharing
Short Description: Anonymizing proxy service for google sharing system
Owners: matriux
Branches: F-11 F-12
InitialCC:
Comment 21 Jason Tibbitts 2010-05-11 01:25:03 EDT
Do you really not want an F-13 branch?
Comment 22 Mohammed Imran 2010-05-13 01:22:31 EDT
Thanks for bringing to my notice :)

New Package CVS Request
=======================
Package Name: mozilla-googlesharing
Short Description: Anonymizing proxy service for google sharing system
Owners: matriux
Branches: F-11 F-12 F13 
InitialCC:
Comment 23 Dennis Gilmore 2010-05-13 18:37:24 EDT
CVS Done
Comment 24 Parag AN(पराग) 2010-06-17 23:18:54 EDT
I think this package is already built for requested branches. Any reason for not closing this review?
Comment 25 Mohammed Imran 2010-06-22 00:46:34 EDT
Hi Parag,

    Closing the review,thanks

Note You need to log in before you can comment on or make changes to this bug.